## cdebconf 0.244

=== debian/changelog ===
cdebconf (0.244) unstable; urgency=medium

  * Team upload.

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Julien Cristau ]
  * Drop dh_testroot from clean target.
  * Fix build failure in the gtk frontend with GCC 8 (closes: #897718).

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Finnish (fi.po)
  * Hebrew (he.po) by Yaron Shahrabani
  * Kannada (kn.po) by Prabodh C P (FSMK Localisation Team)

 -- Julien Cristau <jcristau@debian.org>  Tue, 24 Jul 2018 11:50:24 +0200

cdebconf (0.243) unstable; urgency=medium

  * Team upload.

  [ Karsten Merker ]
  * Add support for a pkg.cdebconf.nogtk build-profile that allows
    building a subset of cdebconf's binary packages without requiring
    gtk and cairo. (Closes: #893300)

 -- Karsten Merker <merker@debian.org>  Mon, 26 Mar 2018 23:48:46 +0200

cdebconf (0.242) unstable; urgency=medium

  [ Updated translations ]
  * Welsh (cy.po) by Huw Waters
  * Hebrew (he.po) by Yaron Shahrabani
  * Indonesian (id.po) by Andika Triwidada

 -- Christian Perrier <bubulle@debian.org>  Fri, 23 Mar 2018 06:38:05 +0100

cdebconf (0.241) unstable; urgency=medium

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Feb 2018 06:41:42 +0100

cdebconf (0.240) unstable; urgency=medium

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Wed, 07 Feb 2018 07:08:56 +0100

cdebconf (0.239) unstable; urgency=medium

  [ Updated translations ]
  * Persian (fa.po) by nima sahraneshin
  * Indonesian (id.po) by Al Qalit
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Wed, 31 Jan 2018 06:39:54 +0100

cdebconf (0.238) unstable; urgency=medium

  [ Updated translations ]
  * Panjabi (pa.po) by Aman ALam

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Jan 2018 07:15:22 +0100

cdebconf (0.237) unstable; urgency=medium

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Nepali (ne.po) by Jeewal Kunwar

 -- Christian Perrier <bubulle@debian.org>  Sat, 23 Dec 2017 08:00:38 +0100

cdebconf (0.236) unstable; urgency=medium

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Fri, 08 Dec 2017 07:18:11 +0100

cdebconf (0.235) unstable; urgency=medium

  [ Updated translations ]
  * Lithuanian (lt.po) by Rimas Kudelis
  * Norwegian Nynorsk (nn.po) by Allan Nordhøy

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Nov 2017 08:02:28 +0100

cdebconf (0.234) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Estonian (et.po) by Kristjan Räts
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Nov 2017 08:13:58 +0100

cdebconf (0.233) unstable; urgency=medium

  [ Updated translations ]
  * Panjabi (pa.po) by A S Alam

 -- Christian Perrier <bubulle@debian.org>  Tue, 31 Oct 2017 08:02:59 +0100

cdebconf (0.232) unstable; urgency=medium

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Oct 2017 07:28:27 +0200

cdebconf (0.231) unstable; urgency=medium

  [ Updated translations ]
  * Latvian (lv.po) by Rūdolfs Mazurs

 -- Christian Perrier <bubulle@debian.org>  Fri, 13 Oct 2017 06:41:18 +0200

cdebconf (0.230) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Hebrew (he.po) by Lior Kaplan
  * Albanian (sq.po) by Silva Arapi

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 Sep 2017 06:22:00 +0200

cdebconf (0.229) unstable; urgency=medium

  [ Updated translations ]
  * Bokmål, Norwegian (nb.po) by Petter Reinholdtsen

 -- Christian Perrier <bubulle@debian.org>  Mon, 03 Jul 2017 08:13:42 +0200

cdebconf (0.228) unstable; urgency=medium

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro
  * Simplified Chinese (zh_CN.po) by Yangfl
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Jun 2017 10:52:33 +0200

=== debian/control ===
Source: cdebconf
Section: utils
Priority: optional
Build-Depends:
 debhelper (>= 9),
 po-debconf (>= 0.5.0),
 libslang2-dev,
 libnewt-dev,
 libtextwrap-dev (>= 0.1-5),
 libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev,
 libglib2.0-dev (>= 2.31),
 libgtk2.0-dev (>= 2.24) <!pkg.cdebconf.nogtk>,
 libcairo2-dev (>= 1.8.10-3) <!pkg.cdebconf.nogtk>,
 libselinux1-dev (>= 2.3) [linux-any] | libselinux-dev [linux-any],
 dh-autoreconf,
 dh-exec,
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
 Christian Perrier <bubulle@debian.org>,
 Regis Boudin <regis@debian.org>,
 Cyril Brulebois <kibi@debian.org>
Standards-Version: 3.9.7
Vcs-Browser: https://salsa.debian.org/installer-team/cdebconf
Vcs-Git: https://salsa.debian.org/installer-team/cdebconf.git

Package: cdebconf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, dpkg (>= 1.15.4)
Provides: debconf-2.0
Suggests: cdebconf-gtk
Priority: extra
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.

Package: cdebconf-gtk
Architecture: any
Section: admin
Depends: cdebconf, ${shlibs:Depends}, ${misc:Depends}
Replaces: cdebconf (<< 0.144)
Priority: extra
Build-Profiles: <!pkg.cdebconf.nogtk>
Description: Gtk+ frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version in C.
 .
 cdebconf-gtk is a minimal Gtk+ frontend cdebconf package.

Package: libdebconfclient0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Debian Configuration Management System (C-implementation library)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. cdebconf is a reimplementation of the original debconf in C.
 .
 This library allows C programs to interface with cdebconf.

Package: libdebconfclient0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libdebconfclient0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libdebconfclient-dev, libdebconf-dev, libcdebconf-dev, cdebconf-dev
Provides: libdebconfclient-dev
Replaces: libdebconf-dev
Description: Development files for cdebconf
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. cdebconf is a reimplementation of the original debconf version
 in C.
 .
 This package contains files needed to do cdebconf development

Package: cdebconf-udeb
Architecture: any
Section: debian-installer
Priority: standard
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: debconf-2.0
Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-udeb is a minimal cdebconf package used by the 
 debian-installer

Package: cdebconf-priority
Architecture: all
Section: debian-installer
Priority: standard
Depends: cdebconf-udeb
Package-Type: udeb
XB-Installer-Menu-Item: 93000
Description: Change debconf priority
 This is a udeb that allows you to change the priority limit for the
 questions.

Package: libdebconfclient0-udeb
Architecture: any
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb
Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This is a udeb version of libdebconfclient0.

Package: cdebconf-text-udeb
Architecture: any
Section: debian-installer
Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}
Package-Type: udeb
Description: Plain text frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-text-udeb is a basic plain text frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-newt-udeb
Architecture: any
Section: debian-installer
Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
Package-Type: udeb
Description: Newt frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-newt-udeb is a minimal Newt frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-gtk-udeb
Architecture: any
Section: debian-installer
Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}, rootskel-gtk [!s390 !s390x]
Package-Type: udeb
Build-Profiles: <!pkg.cdebconf.nogtk>
Description: Gtk+ frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version in C.
 .
 cdebconf-gtk-udeb is a minimal Gtk+ frontend cdebconf package used
 by the debian-installer.

## cdebconf 0.244ubuntu1

=== debian/changelog ===
cdebconf (0.244ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 Sep 2018 03:07:26 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  libselinux1-dev (>= 2.3) [linux-any] | libselinux-dev [linux-any],
  dh-autoreconf,
  dh-exec,
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Christian Perrier <bubulle@debian.org>,

=== debian/rules ===
#! /usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-lpthread -Wl,--as-needed

debbuild=debian/build-deb
udebbuild=debian/build-udeb

DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
CONFFILE=/etc/cdebconf.conf

#package names
LIBDEBCONFDEV=libdebconfclient0-dev
LIBDEBCONF=libdebconfclient0

DEB_FRONTENDS=passthrough text newt gtk
UDEB_FRONTENDS=passthrough text newt gtk

ifneq ($(filter pkg.cdebconf.nogtk,$(DEB_BUILD_PROFILES)),)
    DEB_FRONTENDS:=$(filter-out gtk,$(DEB_FRONTENDS))
    UDEB_FRONTENDS:=$(filter-out gtk,$(UDEB_FRONTENDS))
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
    SELINUXFLAG=--enable-selinux
else
    SELINUXFLAG=--disable-selinux
endif

SIZEOPTFLAG=-Os
SPEEDOPTFLAG=-O2
DEBUG_CONFIGURE_OPT=
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUGOPTFLAG=-g
	SIZEOPTFLAG=
	SPEEDOPTFLAG=
	DEBUG_CONFIGURE_OPT=--with-debug=yes
endif

build: build-deb build-udeb

build-arch: build
build-indep: build

configure:
	dh_autoreconf

$(debbuild)/config.status: configure
	DEB_CFLAGS_MAINT_APPEND="$(DEBUGOPTFLAG) $(SPEEDOPTFLAG)" \
	dh_auto_configure -B$(debbuild) -- \
		--libexecdir=\$${prefix}/lib \
		--without-rpath \
		--with-db="textdb rfc822db stack" \
		--with-frontend="$(DEB_FRONTENDS)" \
		--with-textwrap \
		$(SELINUXFLAG) \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-deb: build-deb-stamp
build-deb-stamp: $(debbuild)/config.status
	dh_testdir
	dh_auto_build -B$(debbuild)
	touch $@

$(udebbuild)/config.status: configure
	DEB_CFLAGS_MAINT_APPEND="$(DEBUGOPTFLAG) $(SIZEOPTFLAG) -fomit-frame-pointer" \
	dh_auto_configure -B$(udebbuild) -- \
		--libexecdir=\$${prefix}/lib \
		--enable-d-i \
		--without-rpath --with-db="rfc822db stack" \
		--with-frontend="$(UDEB_FRONTENDS)" \
		--with-default-frontend=newt \
		--with-syslog-logging \
		--with-textwrap \
		--disable-selinux \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-udeb: build-udeb-stamp
build-udeb-stamp: $(udebbuild)/config.status
	dh_testdir
	dh_auto_build -B$(udebbuild)
	touch $@

clean:
	dh_testdir
	dh_auto_clean -B$(debbuild)
	dh_auto_clean -B$(udebbuild)
	[ ! -f globalmakeflags ] || $(MAKE) -C src/test clean
	dh_auto_clean
	dh_autoreconf_clean
	dh_clean

install: install-arch install-indep

install-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb
	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb
	dh_install -a

install-indep:

# Build architecture-independent files here.
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installdebconf -i
	dh_installdirs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installdocs -s
	dh_installdebconf -s
	dh_installdirs -s
ifneq ($(filter pkg.cdebconf.nogtk,$(DEB_BUILD_PROFILES)),)
	# If the pkg.cdebconf.nogtk build profile is enabled and therefore
	# DEB_FRONTENDS doesn't include gtk, the main build system doesn't
	# automatically include cdebconf_gtk.h in the libdebconfclient0-dev
	# package.  As we want libdebconfclient0-dev to have identical
	# contents whether the pkg.cdebconf.nogtk profile is used or not, we
	# need to explicitly install cdebconf_gtk.h if the pkg.cdebconf.nogtk
	# profile is enabled.
	dh_install -plibdebconfclient0-dev src/modules/frontend/gtk/cdebconf_gtk.h usr/include/cdebconf/
endif
	dh_lintian -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s --add-udeb=libdebconfclient0-udeb
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cdebconf 0.246

=== debian/changelog ===
cdebconf (0.246) unstable; urgency=medium
  * Team upload.

  [ Samuel Thibault ]
  * Notify gtk-font-set of the zoom factor

  [ Colin Watson ]
  * Use /usr/share/dpkg/architecture.mk rather than setting DEB_HOST_ARCH
    and DEB_HOST_ARCH_OS directly.

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Asturian (ast.po) by Xuacu Saturio
  * Finnish (fi.po) by Juhani Numminen
  * Latvian (lv.po) by Tranzistors
  * Marathi (mr.po) by Nayan Nakhare

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 23 Dec 2018 18:39:22 +0100

cdebconf (0.245) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Change deprecated Priority: extra into optional.

  [ Updated translations ]
  * Galician (gl.po) by mantinan
  * Hindi (hi.po) by Himanshu Awasthi
  * Telugu (te.po) by Praveen Illa

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 26 Sep 2018 22:04:21 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,7 @@
  libselinux1-dev (>= 2.3) [linux-any] | libselinux-dev [linux-any],
  dh-autoreconf,
  dh-exec,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Christian Perrier <bubulle@debian.org>,
@@ -30,7 +29,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, dpkg (>= 1.15.4)
 Provides: debconf-2.0
 Suggests: cdebconf-gtk
-Priority: extra
+Priority: optional
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -42,7 +41,7 @@
 Section: admin
 Depends: cdebconf, ${shlibs:Depends}, ${misc:Depends}
 Replaces: cdebconf (<< 0.144)
-Priority: extra
+Priority: optional
 Build-Profiles: <!pkg.cdebconf.nogtk>
 Description: Gtk+ frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is

## cdebconf 0.247

=== debian/changelog ===
cdebconf (0.247) unstable; urgency=medium
  * Team upload.

  * Remove Regis Boudin from Uploaders, as requested by the MIA team. 
    (Closes: #891316)

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Persian (fa.po) by nima sahraneshin

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 09 Feb 2019 17:26:54 +0100

## cdebconf 0.247ubuntu1

=== debian/changelog ===
cdebconf (0.247ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Feb 2019 11:33:41 -0800

cdebconf (0.246ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Jan 2019 23:05:46 -0800

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
  libselinux1-dev (>= 2.3) [linux-any] | libselinux-dev [linux-any],
  dh-autoreconf,
  dh-exec,
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Christian Perrier <bubulle@debian.org>,
- Regis Boudin <regis@debian.org>,
  Cyril Brulebois <kibi@debian.org>
 Standards-Version: 3.9.7
 Vcs-Browser: https://salsa.debian.org/installer-team/cdebconf

## cdebconf 0.248

=== debian/changelog ===
cdebconf (0.248) unstable; urgency=medium

  * Disable paging in text frontend for now, espeakup does not pronounce the
    keys to change pages (see #690343) and thus users are confounded and think
    these are the only choices.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Mar 2019 19:00:17 -0800

## cdebconf 0.249

=== debian/changelog ===
cdebconf (0.249) unstable; urgency=medium
  * Team upload.

  [ Updated translations ]
  * Indonesian (id.po) by Muhammad Rifqi Priyo Susanto

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 25 Mar 2019 20:47:50 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,7 @@
  libselinux1-dev (>= 2.3) [linux-any] | libselinux-dev [linux-any],
  dh-autoreconf,
  dh-exec,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Christian Perrier <bubulle@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 debbuild=debian/build-deb
 udebbuild=debian/build-udeb
 
-DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+include /usr/share/dpkg/architecture.mk
+
 CONFFILE=/etc/cdebconf.conf
 
 #package names

## cdebconf 0.249ubuntu1

=== debian/changelog ===
cdebconf (0.249ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2019 12:49:42 -0700

## cdebconf 0.249+nmu1

=== debian/changelog ===
cdebconf (0.249+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:47:31 +0800

## cdebconf 0.251

=== debian/changelog ===
cdebconf (0.251) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Marathi (mr.po) by Prachi Joshi

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 31 Jan 2020 23:08:40 +0100

cdebconf (0.250) unstable; urgency=medium

  * Team upload.

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927505)

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog and control file, to fix
    lintian tag.

  [ Updated translations ]
  * Croatian (hr.po) by gogogogi
  * Tajik (tg.po) by Victor Ibragimov

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 19 Oct 2019 23:13:58 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
- Christian Perrier <bubulle@debian.org>,
  Cyril Brulebois <kibi@debian.org>
 Standards-Version: 3.9.7
 Vcs-Browser: https://salsa.debian.org/installer-team/cdebconf
@@ -91,7 +90,7 @@
  installed. This is a reimplementation of the original debconf version
  in C.
  .
- cdebconf-udeb is a minimal cdebconf package used by the 
+ cdebconf-udeb is a minimal cdebconf package used by the
  debian-installer
 
 Package: cdebconf-priority

## cdebconf 0.251ubuntu1

=== debian/changelog ===
cdebconf (0.251ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Feb 2020 21:18:17 -0800

cdebconf (0.250ubuntu2) focal; urgency=medium

  * Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 Dec 2019 17:54:42 +0000

cdebconf (0.250ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Oct 2019 21:15:28 -0700

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  libselinux1-dev (>= 2.3) [linux-any] | libselinux-dev [linux-any],
  dh-autoreconf,
  dh-exec,
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Cyril Brulebois <kibi@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,11 @@
 
 DEB_FRONTENDS=passthrough text newt gtk
 UDEB_FRONTENDS=passthrough text newt gtk
+
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
+   UDEB_FRONTENDS:=$(filter-out gtk newt,$(UDEB_FRONTENDS))
+   skip_packages = -Ncdebconf-gtk-udeb -Ncdebconf-newt-udeb
+endif
 
 ifneq ($(filter pkg.cdebconf.nogtk,$(DEB_BUILD_PROFILES)),)
     DEB_FRONTENDS:=$(filter-out gtk,$(DEB_FRONTENDS))
@@ -105,7 +110,7 @@
 	dh_prep
 	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb
 	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb
-	dh_install -a
+	dh_install -a $(skip_packages)
 
 install-indep:
 
@@ -149,9 +154,9 @@
 	dh_makeshlibs -s --add-udeb=libdebconfclient0-udeb
 	dh_installdeb -s
 	dh_shlibdeps -s
-	dh_gencontrol -s
+	dh_gencontrol -s $(skip_packages)
 	dh_md5sums -s
-	dh_builddeb -s
+	dh_builddeb -s $(skip_packages)
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install

## cdebconf 0.251ubuntu1%2B10.0trisquel1

=== debian/changelog ===
cdebconf (0.251ubuntu1+10.0trisquel1) nabia; urgency=medium

  * Color palette set back to default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 20 Dec 2020 00:04:13 +0000

## cdebconf 0.252ubuntu1

=== debian/changelog ===
cdebconf (0.252ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Jun 2020 13:14:47 -0700

cdebconf (0.252) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for cdebconf-priority.
  * Wrap long lines in changelog entries: 0.48, 0.24.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Korean (ko.po) by Changwoo Ryu
  * Dutch (nl.po) by Frans Spiesschaert

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 10 May 2020 17:45:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  po-debconf (>= 0.5.0),
  libslang2-dev,
  libnewt-dev,
@@ -98,7 +98,7 @@
 Architecture: all
 Section: debian-installer
 Priority: standard
-Depends: cdebconf-udeb
+Depends: cdebconf-udeb, ${misc:Depends}
 Package-Type: udeb
 XB-Installer-Menu-Item: 93000
 Description: Change debconf priority

=== debian/rules ===
--- 
+++ 
@@ -133,10 +133,10 @@
 binary-arch: install-arch
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs -s
-	dh_installdocs -s
-	dh_installdebconf -s
-	dh_installdirs -s
+	dh_installchangelogs -a
+	dh_installdocs -a
+	dh_installdebconf -a
+	dh_installdirs -a
 ifneq ($(filter pkg.cdebconf.nogtk,$(DEB_BUILD_PROFILES)),)
 	# If the pkg.cdebconf.nogtk build profile is enabled and therefore
 	# DEB_FRONTENDS doesn't include gtk, the main build system doesn't
@@ -147,16 +147,16 @@
 	# profile is enabled.
 	dh_install -plibdebconfclient0-dev src/modules/frontend/gtk/cdebconf_gtk.h usr/include/cdebconf/
 endif
-	dh_lintian -s
-	dh_strip -s
-	dh_compress -s
-	dh_fixperms -s
-	dh_makeshlibs -s --add-udeb=libdebconfclient0-udeb
-	dh_installdeb -s
-	dh_shlibdeps -s
-	dh_gencontrol -s $(skip_packages)
-	dh_md5sums -s
-	dh_builddeb -s $(skip_packages)
+	dh_lintian -a
+	dh_strip -a
+	dh_compress -a
+	dh_fixperms -a
+	dh_makeshlibs -a --add-udeb=libdebconfclient0-udeb
+	dh_installdeb -a
+	dh_shlibdeps -a
+	dh_gencontrol -a $(skip_packages)
+	dh_md5sums -a
+	dh_builddeb -a $(skip_packages)
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install

## cdebconf 0.255

=== debian/changelog ===
cdebconf (0.255) unstable; urgency=medium

  [ Samuel Thibault ]
  * Make text interface print < 10% progress so the user knows it is in
    progress as soon as the beginning.
  * Make sure that after text asks questions it shows that we are back to
    progressing.

  [ Updated translations ]
  * Persian (fa.po) by سهیل خانعلی‌پور

  [ New translations ]
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Occitan (oc.po) by Quentin PAGÈS

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 28 Oct 2020 23:16:46 +0100

cdebconf (0.254) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Estonian (et.po) by Kristjan Räts
  * Persian (fa.po) by سهیل خانعلی‌پور
  * Hebrew (he.po) by Yaron Shahrabani

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Sep 2020 00:21:47 +0200

cdebconf (0.253) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hindi (hi.po) by Sanket Pardhi
  * Marathi (mr.po) by Sanket Pardhi

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 05 Jul 2020 21:36:47 +0200

## cdebconf 0.256

=== debian/changelog ===
cdebconf (0.256) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Greek (el.po) by george k
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Occitan (oc.po) by Quentin PAGÈS
  * Romanian (ro.po) by Sergiu

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 30 Dec 2020 22:45:44 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,7 @@
  libselinux1-dev (>= 2.3) [linux-any] | libselinux-dev [linux-any],
  dh-autoreconf,
  dh-exec,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Cyril Brulebois <kibi@debian.org>

## cdebconf 0.256ubuntu3

=== debian/changelog ===
cdebconf (0.256ubuntu3) hirsute; urgency=medium

  * Allow to build without udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 13:33:22 +0100

cdebconf (0.256ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:30:25 +0100

cdebconf (0.256ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jan 2021 18:01:37 -0800

cdebconf (0.255ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Nov 2020 15:59:19 -0800

cdebconf (0.254ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Oct 2020 17:11:51 -0700

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  libselinux1-dev (>= 2.3) [linux-any] | libselinux-dev [linux-any],
  dh-autoreconf,
  dh-exec,
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Cyril Brulebois <kibi@debian.org>
@@ -84,6 +85,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: debconf-2.0
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -99,6 +101,7 @@
 Priority: standard
 Depends: cdebconf-udeb, ${misc:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 XB-Installer-Menu-Item: 93000
 Description: Change debconf priority
  This is a udeb that allows you to change the priority limit for the
@@ -109,6 +112,7 @@
 Section: debian-installer
 Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -122,6 +126,7 @@
 Section: debian-installer
 Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Plain text frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -136,6 +141,7 @@
 Section: debian-installer
 Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Newt frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -150,7 +156,7 @@
 Section: debian-installer
 Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}, rootskel-gtk [!s390 !s390x]
 Package-Type: udeb
-Build-Profiles: <!pkg.cdebconf.nogtk>
+Build-Profiles: <!pkg.cdebconf.nogtk !noudeb>
 Description: Gtk+ frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are

## cdebconf 0.259

=== debian/changelog ===
cdebconf (0.259) unstable; urgency=medium

  [ Simon McVittie ]
  * Revert “Postpone adding text to GtkTextView until GTK has done initial
    layout” change from the previous version, as it triggers a regression
    regarding the entry getting the focus (Closes: #988951).
  * Work around #988787 in a different way, intercepting the size-request
    event and adjusting the requested width to a minimum of 300 pixels.
    This seems sufficient  to avoid the infinite loop in GTK (#988786).

  [ Cyril Brulebois ]
  * Huge thanks to Simon McVittie for the incredible support! (again)
  * Normal installation and rescue tests have been run in many languages,
    and the trivial hangs that both 0.258 and 0.259 aim at fixing could no
    longer be produced. As usual, bug reports are more than welcome if
    some hang is still hidden somewhere!

 -- Cyril Brulebois <kibi@debian.org>  Mon, 24 May 2021 04:18:08 +0200

cdebconf (0.258) unstable; urgency=medium

  [ Simon McVittie ]
  * Capture new-style GLib structured logging messages, ensuring that we
    stop losing messages generated by libraries using that structured
    logging (ie. GLib and Pango) instead of the old text-based logging
    (i.e. GTK 2) (Closes: #988589).
  * Postpone adding text to GtkTextView until GTK has done initial layout,
    to avoid running into an infinite loop that would result in only the
    title being displayed, and a hang of the installer (Closes: #988787).
    This fixes a number of scenarios including:
    - Hang before offering a shell in rescue mode [en] (Closes: #987377).
    - Hang immediately with Sinhala and other languages (Closes: #987449).
    - Hang in various places with Swedish (mirror selection or package
      manager configuration).

  [ Cyril Brulebois ]
  * Huge thanks to Simon McVittie for the incredible support!
  * Align the display of info messages (e.g. “Rescue mode”) to the right
    again, since Debian (logo and name) is back on the left side with the
    Homeworld theme.
  * Implement workaround to ensure info messages (e.g. “Rescue mode”) get
    displayed on the banner on the start-up screen (Closes: #882804).

  [ Updated translations ]
  * Japanese (ja.po) by Nozomu KURASAWA

 -- Cyril Brulebois <kibi@debian.org>  Thu, 20 May 2021 06:56:57 +0200

cdebconf (0.257) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Greek (el.po) by Michalis
  * Tamil (ta.po) by Vasudevan Tirumurti

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 19 Mar 2021 19:21:24 +0100

## cdebconf 0.260

=== src/modules/db/perldb/Makefile ===
MODULE=perldb
SOBJ=perldb.so
OBJS=perldb.opic

MODCFLAGS:= $(shell perl -MExtUtils::Embed -e ccopts)
MODLDFLAGS:= $(shell perl -MExtUtils::Embed -e ldopts)

include ../modules.mak

=== debian/changelog ===
cdebconf (0.260) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Lithuanian (lt.po) by Gediminas Murauskas

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 08 Jul 2021 09:34:41 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
  libnewt-dev,
  libtextwrap-dev (>= 0.1-5),
  libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev,
- libglib2.0-dev (>= 2.31),
+ libglib2.0-dev (>= 2.50),
  libgtk2.0-dev (>= 2.24) <!pkg.cdebconf.nogtk>,
  libcairo2-dev (>= 1.8.10-3) <!pkg.cdebconf.nogtk>,
  libselinux1-dev (>= 2.3) [linux-any] | libselinux-dev [linux-any],
  dh-autoreconf,
  dh-exec,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Cyril Brulebois <kibi@debian.org>
@@ -85,7 +84,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: debconf-2.0
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -101,7 +99,6 @@
 Priority: standard
 Depends: cdebconf-udeb, ${misc:Depends}
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 XB-Installer-Menu-Item: 93000
 Description: Change debconf priority
  This is a udeb that allows you to change the priority limit for the
@@ -112,7 +109,6 @@
 Section: debian-installer
 Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -126,7 +122,6 @@
 Section: debian-installer
 Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Description: Plain text frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -141,7 +136,6 @@
 Section: debian-installer
 Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Description: Newt frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -156,7 +150,7 @@
 Section: debian-installer
 Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}, rootskel-gtk [!s390 !s390x]
 Package-Type: udeb
-Build-Profiles: <!pkg.cdebconf.nogtk !noudeb>
+Build-Profiles: <!pkg.cdebconf.nogtk>
 Description: Gtk+ frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,6 @@
 
 DEB_FRONTENDS=passthrough text newt gtk
 UDEB_FRONTENDS=passthrough text newt gtk
-
-ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
-   UDEB_FRONTENDS:=$(filter-out gtk newt,$(UDEB_FRONTENDS))
-   skip_packages = -Ncdebconf-gtk-udeb -Ncdebconf-newt-udeb
-endif
 
 ifneq ($(filter pkg.cdebconf.nogtk,$(DEB_BUILD_PROFILES)),)
     DEB_FRONTENDS:=$(filter-out gtk,$(DEB_FRONTENDS))
@@ -110,7 +105,7 @@
 	dh_prep
 	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb
 	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb
-	dh_install -a $(skip_packages)
+	dh_install -a
 
 install-indep:
 
@@ -154,9 +149,9 @@
 	dh_makeshlibs -a --add-udeb=libdebconfclient0-udeb
 	dh_installdeb -a
 	dh_shlibdeps -a
-	dh_gencontrol -a $(skip_packages)
+	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a $(skip_packages)
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install

## cdebconf 0.261ubuntu1

=== debian/changelog ===
cdebconf (0.261ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Read newt palette from /etc/newt/palette, symlinked at initialisation
      according to FRONTEND_BACKGROUND.
    - Install palettes for [original, dark, ubuntu].
    - Install a default /etc/newt/palette symlink to
      /etc/newt/palette.ubuntu.
    - Don't build cdebconf-{gtk,newt}-udeb on i386.
    - Allow to build without udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Feb 2022 22:56:59 +0100

cdebconf (0.261) unstable; urgency=medium

  * Team upload.
  * text: make steps interruptible (Closes: #998424).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 12 Nov 2021 20:25:16 +0100

cdebconf (0.256ubuntu4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:10:03 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  libselinux1-dev (>= 2.3) [linux-any] | libselinux-dev [linux-any],
  dh-autoreconf,
  dh-exec,
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Cyril Brulebois <kibi@debian.org>
@@ -84,6 +85,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: debconf-2.0
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -99,6 +101,7 @@
 Priority: standard
 Depends: cdebconf-udeb, ${misc:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 XB-Installer-Menu-Item: 93000
 Description: Change debconf priority
  This is a udeb that allows you to change the priority limit for the
@@ -109,6 +112,7 @@
 Section: debian-installer
 Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -122,6 +126,7 @@
 Section: debian-installer
 Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Plain text frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -136,6 +141,7 @@
 Section: debian-installer
 Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}, ${misc:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: Newt frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
@@ -150,7 +156,7 @@
 Section: debian-installer
 Depends: cdebconf-udeb, ${shlibs:Depends}, ${misc:Depends}, rootskel-gtk [!s390 !s390x]
 Package-Type: udeb
-Build-Profiles: <!pkg.cdebconf.nogtk>
+Build-Profiles: <!pkg.cdebconf.nogtk !noudeb>
 Description: Gtk+ frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,10 @@
 
 include /usr/share/dpkg/architecture.mk
 
+ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
+  with_udeb = yes
+endif
+
 CONFFILE=/etc/cdebconf.conf
 
 #package names
@@ -20,6 +24,11 @@
 
 DEB_FRONTENDS=passthrough text newt gtk
 UDEB_FRONTENDS=passthrough text newt gtk
+
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
+   UDEB_FRONTENDS:=$(filter-out gtk newt,$(UDEB_FRONTENDS))
+   skip_packages = -Ncdebconf-gtk-udeb -Ncdebconf-newt-udeb
+endif
 
 ifneq ($(filter pkg.cdebconf.nogtk,$(DEB_BUILD_PROFILES)),)
     DEB_FRONTENDS:=$(filter-out gtk,$(DEB_FRONTENDS))
@@ -42,7 +51,7 @@
 	DEBUG_CONFIGURE_OPT=--with-debug=yes
 endif
 
-build: build-deb build-udeb
+build: build-deb $(if $(with_udeb),build-udeb)
 
 build-arch: build
 build-indep: build
@@ -104,8 +113,10 @@
 	dh_testroot
 	dh_prep
 	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb
+ifeq ($(with_udeb),yes)
 	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb
-	dh_install -a
+endif
+	dh_install -a $(skip_packages)
 
 install-indep:
 
@@ -146,12 +157,12 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a --add-udeb=libdebconfclient0-udeb
+	dh_makeshlibs -a $(if $(with_udeb),--add-udeb=libdebconfclient0-udeb)
 	dh_installdeb -a
 	dh_shlibdeps -a
-	dh_gencontrol -a
+	dh_gencontrol -a $(skip_packages)
 	dh_md5sums -a
-	dh_builddeb -a
+	dh_builddeb -a $(skip_packages)
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install

## cdebconf 0.261ubuntu1%2B11.0trisquel2

=== debian/changelog ===
cdebconf (0.261ubuntu1+11.0trisquel2) aramo; urgency=medium

  * Color palette set back to default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Jul 2022 00:28:33 +0000
